//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class tthumb_hook_forums_front_forums extends _HOOK_CLASS_
{

/* !Hook Data - DO NOT REMOVE */
public static function hookData() {
 return array_merge_recursive( array (
  'forumDisplay' => 
  array (
    0 => 
    array (
      'selector' => '#elClubContainer > div[data-controller=\'forums.front.forum.forumPage\'] > ul.ipsToolList.ipsToolList_horizontal.ipsSpacer_both',
      'type' => 'add_inside_end',
      'content' => '{template="tthumb_toggle" group="view" location="front" app="tthumb" params="$forum"}',
    ),
    1 => 
    array (
      'selector' => '#elClubContainer > div[data-controller=\'forums.front.forum.forumPage\'] > ul.ipsToolList.ipsToolList_horizontal.ipsSpacer_both',
      'type' => 'add_after',
      'content' => '{template="tthumb_toggle" group="view" location="front" app="tthumb" params="$forum, true"}',
    )
  ),
  'questionRow' => 
  array (
    0 => 
    array (
      'selector' => 'li.ipsDataItem > div.ipsDataItem_main',
      'type' => 'add_before',
      'content' => '{{if $row->container()->canSeeThumb()}}{template="tthumb_showThumb" group="view" location="front" app="tthumb" params="$row"}{{endif}}',
    ),
  ),
  'topicRow' => 
  array (
    0 => 
    array (
      'selector' => 'li.ipsDataItem > div.ipsDataItem_main',
      'type' => 'add_before',
      'content' => '{{if $row->container()->canSeeThumb()}}{template="tthumb_showThumb" group="view" location="front" app="tthumb" params="$row"}{{endif}}',
    ),
  ),
  'topicRowSnippet' => 
  array (
    0 => 
    array (
      'selector' => 'li.ipsDataItem.ipsTopicSnippet > div.ipsTopicSnippet__top.ipsFlex.ipsFlex-ai:start > div.ipsTopicSnippet__avatar.ipsFlex-flex:00',
      'type' => 'replace',
      'content' => '{{if $row->container()->canSeeThumb()}}
<div class=\'ipsTopicSnippet__avatar ipsFlex-flex:00 tthumbBox\' style="width: {setting=\'tthumb_width\'}px !important;font-size: {setting=\'tthumb_width\'}px !important;"> 
	{template="tthumb_showThumb" group="view" location="front" app="tthumb" params="$row"}
</div>
{{else}}
    <div class=\'ipsTopicSnippet__avatar ipsFlex-flex:00\'>
      {template="userPhoto" app="core" group="global" params="$row->author(), \'small\'"}
    </div>
{{endif}}',
    ),
  ),
), parent::hookData() );
}
/* End Hook Data */


}
