//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class tthumb_hook_forums_module_forum extends _HOOK_CLASS_
{
	public function toggleThumb()
    {	
		try
		{
			try
			{
				# Guest can not use this function
				if ( !\IPS\Member::loggedIn()->member_id )
				{
					\IPS\Output::i()->error( \IPS\Member::loggedIn()->language()->get( 'tthumb_error_noperm' ), '2BIMTTHUMB103/1', '404' );
				}
				
				# Update database
				\IPS\Request::i()->setcookie( 'tthumb_off', \IPS\Request::i()->cookie['tthumb_off']  == 1 ? 0 : 1 );
		
				# Refresh the current page
				\IPS\Output::i()->redirect( isset( $_SERVER['HTTP_REFERER'] ) ? $_SERVER['HTTP_REFERER'] : \IPS\Http\Url::internal( '' ) );
				}
				catch ( \Error | \RuntimeException $e )
				{
					if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
					{
						\IPS\Log::log( $e, 'hook_exception' );
					}
	
					if ( method_exists( get_parent_class(), __FUNCTION__ ) )
					{
						return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
					}
					else
					{
						throw $e;
					}
				}
			}
			catch ( \Error | \RuntimeException $e )
			{
				if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
				{
					\IPS\Log::log( $e, 'hook_exception' );
				}

				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
	}	
	
}
