//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

abstract class tthumb_hook_table_Table extends _HOOK_CLASS_
{
	/**
	 * Get HTML
	 *
	 * @return	string
	 */
	public function __toString()
	{
		try
		{
			try
			{
				if ( $this->class == "IPS\\forums\\Topic" && \IPS\Request::i()->app == 'forums' && \IPS\Request::i()->module == 'forums' && \IPS\Request::i()->controller == 'forums' && \IPS\Request::i()->id > 0 )
				{
					try
					{
						$forum = $this->container();
		
						if ( $forum->isGalleryMode() )
						{
							if ( \IPS\Settings::i()->tthumb_gallerymode_layout == "_0" )
							{
								$masonry = "<script>$(function($) { $('.tthumb_gal_wrap').imagesLoaded( function (images) { $('.tthumb_gal_wrap').masonry(); }); });</script>";	
		
								\IPS\Output::i()->endBodyCode .= $masonry;
								
								if ( \IPS\Request::i()->isAjax() )
								{
									$this->extraHtml = \IPS\Output::i()->endBodyCode .	$masonry;
								}	
								$this->rowsTemplate = array( \IPS\Theme::i()->getTemplate( 'view', 'tthumb', 'front' ), 'tthumb_showMasonry' );
							}
							else
							{
								$this->rowsTemplate = array( \IPS\Theme::i()->getTemplate( 'view', 'tthumb', 'front' ), 'tthumb_showGridview' );
							}
						}
					}
					catch ( \OutOfRangeException $e ){}
				}
				
				return parent::__toString();
			}
			catch ( \Error | \RuntimeException $e )
			{
				if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
				{
					\IPS\Log::log( $e, 'hook_exception' );
				}
	
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \Error | \RuntimeException $e )
		{
			if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
			{
				\IPS\Log::log( $e, 'hook_exception' );
			}

			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}

}
